if not IsAddOnLoaded("Skada") then return end

-----------------------
-- Skada skin by Elv22
-----------------------

local module = {}
module.name = "AddonSkin"
module.Init = function()
	if not tDB.modules[module.name] then return end
	local settings = tDB

if not Skada then return end

local Skada = Skada
local barSpacing = 1
local borderWidth = 1

local barmod = Skada.displays["bar"]

local titleBG = {
    bgFile = tDB["cfgMedia"]["textureBar"],
    tile = false,
    tileSize = 0
}

barmod.ApplySettings_ = barmod.ApplySettings
barmod.ApplySettings = function(self, win)
    barmod.ApplySettings_(self, win)

    local skada = win.bargroup

    if win.db.enabletitle then
		local titlefont = CreateFont("TitleFont"..win.db.name)
		titlefont:SetFont(tDB["cfgMedia"]["font"], tDB["cfgMedia"]["fontSize"])
		skada.button:SetNormalFontObject(titlefont)
        skada.button:SetBackdrop(titleBG)
		skada.button:SetBackdropColor(unpack(tDB["cfgMedia"]["colorBR"]))
    end

    skada:SetTexture(tDB["cfgMedia"]["textureBar"])
    skada:SetSpacing(barSpacing)
    skada:SetFont(tDB["cfgMedia"]["font"], tDB["cfgMedia"]["fontSize"])
    skada:SetFrameLevel(5)

    skada:SetBackdrop(nil)
    if not skada.backdrop then
		skada.backdrop = CreateFrame("Frame", nil, skada)
		SetTemplate(skada.backdrop, "skada", true)
    end
    skada.backdrop:ClearAllPoints()
	
	if win.db.enabletitle then
		skada.backdrop:SetPoint('TOPLEFT', win.bargroup.button, 'TOPLEFT', -2, 2)
	else
		skada.backdrop:SetPoint('TOPLEFT', win.bargroup, 'TOPLEFT', -2, 2)
	end
	skada.backdrop:SetPoint('BOTTOMRIGHT', win.bargroup, 'BOTTOMRIGHT', 2, -2)
end

-- Update pre-existing displays
for _, window in ipairs(Skada:GetWindows()) do
    window:UpdateDisplay()
end

end
tinsert(ThunderUI.modules, module)